Summary: CMU SNMP agent
Name: cmu-snmp
%define version 3.5
Version: %{version}
Release: 3
Copyright: CMU
Group: Networking/Daemons
Url: http://www.gaertner.de/snmp/
Source: ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/cmu-snmp-linux-%{version}-src.tar.gz
Source1: snmpd.init
Patch0: cmu-snmp-linux-%{version}-shlib.patch
Patch1: cmu-snmp-linux-%{version}-glibc.patch
Patch2: cmu-snmp-linux-%{version}-secure.patch
Patch3: cmu-snmp-linux-%{version}-mode600.patch
Prereq: /sbin/chkconfig
Buildroot: /var/tmp/snmp-root
Excludearch: alpha
Summary(de): CMU-SNMP-Agent 
Summary(fr): Agent CMU SNMP
Summary(tr): CMU Basit A Ynetimi Protokolu (SNMP)

%changelog
* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Jeff Johnson <jbj@redhat.com>
- Updated to version 3.5.

* Wed Oct 29 1997 Michael Fulbright <msf@redhat.com>
- made snmpd NOT start by default
- fixed snmpd.conf to be mode 600

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- made to use chkconfig
- added restart and status to init script
- updated to version 3.4

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- fixed grammer in changelog entry from 3/21
- turned off size, md5sum, and timestamp checking on /etc/snmpd.agentinfo

* Fri Mar 21 1997 Michael Fulbright <msf@redhat.com>
- Bryan and I fixed up default snmpd.conf so everyone cant change your
  route tables.
- Included authkey in file list.

* Wed Mar 19 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.3.

* Wed Mar 12 1997 Erik Troan <ewt@redhat.com>
- This shouldn't be run in runlevel 2 (which doesn't setup networking).

* Tue Mar 04 1997 Michael Fulbright <msf@redhat.com>
- Added post-install script entry to check for presence of the file
  /etc/snmpd.agentinfo. If this file does not exist, we create it.
  It is empty, but is needed for snmpd to run properly.

%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol.  It is useful for managing 
networks and doing accounting.

%package utils
Group: Networking/Utilities
Summary: CMU SNMP utilities
Requires: cmu-snmp
Summary(de): CMU-SNMP-Dienstprogramme
Summary(fr): Utilitaires CMU SNMP.
Summary(tr): CMU SNMP aralar

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group: Networking/Utilities
Summary: CMU SNMP development libs and headers
Requires: cmu-snmp
Summary(de): CMU SNMP Entwicklungs-Libs und Headers 
Summary(fr): Bibliothques et en-ttes de dveloppement CMU SNMP
Summary(tr): CMU SNMP gelitirme kitaplklar ve balk dosyalar

%description devel
These are the development libraries and header files for CMU SNMP.
This will allow the network administrator to write programs for
use with network management.

%description -l de utils
Dies sind verschiedene Dienstprogramme fr CMU SNMP: 
snmpwalk, snmptest, usw.

%description -l de devel
Dies sind die Entwicklungs-Libraries und Header-Dateien fr CMU SNMP.
Damit kann der Netzwerkadministrator Programme fr die
Netzwerkverwaltung schreiben.

%description -l de
Dies ist ein Derivat des Original-Simple-Network-Management-Protokolls der 
Carnegie Mellon University. Es ist ntzlich zur Verwaltung von Netzwerken 
und "zur Kontenfhrung. 

%description -l fr utils
Divers utilitaires  utiliser avec CMU SNMP. Contient des outils comme
snmpwalk, snmptest et plus.

%description -l fr devel
Ce sont des libraries de dveloppement et des fichiers d'en-tte pour
CMU SNMP. Ils permettent  l'administrateur rseau d'crire des programmes
pour la gestion du rseau.

%description -l fr
Driv du protocole SNMP (Simple Network Management Protocol) original de
l'universit de Carnegie Mellon. Pratique pour grer les rseaux et
comptabiliser les accs.

%description -l tr utils
Bu paket, CMU SNMP ile kullanlan, snmpwalk, snmptest gibi eitli aralar
ierir.

%description -l tr devel
CMU SNMP iin balk dosyalar ve gelitirme kitaplklar. A ynetim
programlar yazmay dnenler iin yararl olabilir.

%description -l tr
Carnegie Mellon niversitesi Basit A Ynetimi Protokolu'nun (Simple Network
Management Protocol) bir trevidir. Alar ynetmek ve izlemek iin kullanlr.

%prep
%setup -n cmu-snmp-linux-%{version}

%patch0 -p1
%patch1 -p1

cd etc
%patch2 -p1
cd ..

%patch3 -p1

%build
autoconf
#INSTALL=install ./configure --prefix=/usr --with-liba
./configure --prefix=/usr --with-liba
make all

%install
rm -rf $RPM_BUILD_ROOT
for I in lib usr/bin usr/lib usr/man usr/sbin usr/man/man5 \
	usr/man/man8 usr/man/man3 usr/man/man1 usr/include \
	usr/include/snmp etc etc/rc.d etc/rc.d/init.d \
	etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d \
	etc/rc.d/rc3.d etc/rc.d/rc4.d etc/rc.d/rc5.d \
	etc/rc.d/rc6.d ; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

make SHLIBDIR="$RPM_BUILD_ROOT/usr/lib" exec_prefix=$RPM_BUILD_ROOT/usr \
      prefix=$RPM_BUILD_ROOT/usr cprefix=$RPM_BUILD_ROOT/etc install

#install -m600 etc/snmpd.conf $RPM_BUILD_ROOT/etc/snmpd.conf
#install -m600 etc/snmpd.agentinfo $RPM_BUILD_ROOT/etc/snmpd.agentinfo
#install -m755 snmplib/libsnmp.a $RPM_BUILD_ROOT/usr/lib
#install -m555 snmplib/mib.h $RPM_BUILD_ROOT/usr/include/snmp
#install -m555 snmplib/snmp_client.h $RPM_BUILD_ROOT/usr/include/snmp

# this is dumb, but way its installed above beyond my control
for dir in bin sbin; do
  for i in $RPM_BUILD_ROOT/usr/${dir}/*; do 
   ftype=`file $i`
   result=`echo $ftype | sed -n '/ELF/p'`
   if [ "$result" != "" ]; then
     strip $i
   fi
  done
done

#strip $RPM_BUILD_ROOT/usr/bin/*
#strip $RPM_BUILD_ROOT/usr/sbin/*



install -m 755 $RPM_SOURCE_DIR/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
(cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc1.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc2.d;
     ln -sf ../init.d/snmpd K40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc4.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc5.d;
     ln -sf ../init.d/snmpd S40snmpd
 cd $RPM_BUILD_ROOT/etc/rc.d/rc6.d;
     ln -sf ../init.d/snmpd K40snmpd
)

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 
#if [ ! -f /etc/snmpd.agentinfo ]; then
#  touch /etc/snmpd.agentinfo
#fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libsnmp.so.%{version}
/usr/sbin/snmpd
/usr/lib/mib.txt
%config /etc/snmpd.conf
%verify(not md5 mtime size) %config /etc/snmpd.agentinfo
%config /etc/rc.d/init.d/snmpd
%config(missingok) /etc/rc.d/rc0.d/K40snmpd
%config(missingok) /etc/rc.d/rc1.d/K40snmpd
%config(missingok) /etc/rc.d/rc2.d/K40snmpd
%config(missingok) /etc/rc.d/rc3.d/S40snmpd
%config(missingok) /etc/rc.d/rc4.d/S40snmpd
%config(missingok) /etc/rc.d/rc5.d/S40snmpd
%config(missingok) /etc/rc.d/rc6.d/K40snmpd
/usr/man/man8/snmpd.8
/usr/man/man5/snmpd.conf.5
/usr/man/man5/variables.5

%files utils
/usr/lib/libsnmp.so.%{version}
/usr/bin/authkey
/usr/bin/nstat
/usr/bin/snmpwalk
/usr/bin/snmptest
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpset
/usr/sbin/snmptrapd
/usr/bin/snmpnetstat
/usr/bin/snmptrap

/usr/man/man1/snmpwalk.1
/usr/man/man1/snmptest.1
/usr/man/man1/snmpset.1
/usr/man/man1/snmpget.1
/usr/man/man1/snmpgetnext.1
/usr/man/man1/snmpnetstat.1
/usr/man/man1/authkey.1
/usr/man/man1/snmptrap.1

/usr/man/man5/variables.5
/usr/man/man5/snmpd.conf.5

/usr/man/man8/snmptrapd.8

/usr/man/man1/nstat.1

%files devel
/usr/include/snmp
/usr/man/man3/snmp_api.3
/usr/man/man5/variables.5
/usr/lib/libsnmp.a
